Summary:	Efficient KDE ID3 tag editor
Name:		kid3
Version:	3.9.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Editors and Converters
Url:		https://kid3.sourceforge.net/
Source0:	https://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	id3lib-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	mp4v2-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	xsltproc

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV and AIFF files (e.g. full albums)
without typing the same information again and again, and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.

With Kid3 you can:
- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags of multiple files
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate play-list files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon.

%files
%doc AUTHORS ChangeLog COPYING LICENSE README
%doc %{_docdir}/HTML/*/%{name}/
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_datadir}/metainfo/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/kxmlgui5/%{name}/
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svgz

#--------------------------------------------------------------------

%package	core
Summary:	Efficient Core libraries and Data ID3 tag editor
Group:		Sound/Editors and Converters
Recommends:	xdg-utils

%description	core
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV, and AIFF files (e.g. full albums)
without typing the same information again and again and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.
This package provides files shared between all Kid3 variants.

%files core
%doc AUTHORS ChangeLog COPYING LICENSE README
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_kf6_libdir}/%{name}/
%dir %{_kf6_datadir}/%{name}/
%dir %{_kf6_datadir}/%{name}/qml/
%dir %{_kf6_datadir}/%{name}/translations/
%{_kf6_datadir}/%{name}/qml/script/
%{_kf6_datadir}/%{name}/translations/*.qm
%{_kf6_datadir}/dbus-1/interfaces/*.xml
%{_kf6_mandir}/man1/%{name}.1*
%lang(ca) %{_kf6_mandir}/ca/man1/%{name}.1*
%lang(de) %{_kf6_mandir}/de/man1/%{name}.1*
%lang(it) %{_kf6_mandir}/it/man1/%{name}.1*
%lang(nl) %{_kf6_mandir}/nl/man1/%{name}.1*
%lang(pt) %{_kf6_mandir}/pt/man1/%{name}.1*
%lang(sv) %{_kf6_mandir}/sv/man1/%{name}.1*
%lang(uk) %{_kf6_mandir}/uk/man1/%{name}.1*
%lang(ru) %{_kf6_mandir}/ru/man1/%{name}.1*

#--------------------------------------------------------------------

%package	qt
Summary:	Efficient Qt ID3 tag editor
Group:		Sound/Editors and Converters

%description	qt
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without KDE dependencies.

%files qt
%doc %{_docdir}/%{name}-qt
%{_kf6_bindir}/%{name}-qt
%{_kf6_datadir}/applications/org.kde.%{name}-qt.desktop
%{_kf6_datadir}/metainfo/org.kde.%{name}-qt.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/%{name}-qt.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}-qt.svg
%{_kf6_mandir}/man1/%{name}-qt.1*
%lang(ca) %{_kf6_mandir}/ca/man1/%{name}-qt.1*
%lang(de) %{_kf6_mandir}/de/man1/%{name}-qt.1*
%lang(it) %{_kf6_mandir}/it/man1/%{name}-qt.1*
%lang(nl) %{_kf6_mandir}/nl/man1/%{name}-qt.1*
%lang(pt) %{_kf6_mandir}/pt/man1/%{name}-qt.1*
%lang(sv) %{_kf6_mandir}/sv/man1/%{name}-qt.1*
%lang(uk) %{_kf6_mandir}/uk/man1/%{name}-qt.1*
%lang(ru) %{_kf6_mandir}/ru/man1/%{name}-qt.1*

#--------------------------------------------------------------------

%package	cli
Summary:	Efficient CLI ID3 tag editor
Group:		Sound/Editors and Converters

%description	cli
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without GUI dependencies.

%files cli
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_kf6_bindir}/%{name}-cli
%{_kf6_mandir}/man1/%{name}-cli.1*
%lang(ca) %{_kf6_mandir}/ca/man1/%{name}-cli.1*
%lang(de) %{_kf6_mandir}/de/man1/%{name}-cli.1*
%lang(it) %{_kf6_mandir}/it/man1/%{name}-cli.1*
%lang(nl) %{_kf6_mandir}/nl/man1/%{name}-cli.1*
%lang(pt) %{_kf6_mandir}/pt/man1/%{name}-cli.1*
%lang(sv) %{_kf6_mandir}/sv/man1/%{name}-cli.1*
%lang(uk) %{_kf6_mandir}/uk/man1/%{name}-cli.1*
%lang(ru) %{_kf6_mandir}/ru/man1/%{name}-cli.1*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 \
	-DCMAKE_SKIP_RPATH=ON \
	-DWITH_LIBDIR=%{_lib}/kid3 \
	-DWITH_MP4V2=ON \
	-DWITH_FFMPEG=ON \
	-DWITH_CHROMAPRINT_FFMPEG=ON \
	-DWITH_GSTREAMER=ON \
	-DWITH_NO_MANCOMPRESS=ON

%cmake_build

%install
%cmake_install

# ld.so.conf.d config for libraries outside the standard search path
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_kf6_libdir}/%{name}/
EOF


%changelog
* Fri Oct 04 2024 daviddavid <daviddavid> 3.9.6-2.mga10
+ Revision: 2103217
- rebuild for new taglib 2.0.2

* Sun Sep 22 2024 daviddavid <daviddavid> 3.9.6-1.mga10
+ Revision: 2100106
- new version: 3.9.6

* Tue Feb 27 2024 daviddavid <daviddavid> 3.9.5-1.mga10
+ Revision: 2044689
- new version: 3.9.5

* Fri Nov 24 2023 daviddavid <daviddavid> 3.9.4-2.mga10
+ Revision: 2009503
- switch to Qt6/KF6

* Thu Aug 31 2023 daviddavid <daviddavid> 3.9.4-1.mga10
+ Revision: 1982376
- new version: 3.9.4

* Sun Jan 15 2023 daviddavid <daviddavid> 3.9.3-1.mga9
+ Revision: 1933306
- new version: 3.9.3

* Sun Nov 20 2022 wally <wally> 3.9.2-2.mga9
+ Revision: 1909266
- rebuild for flac 1.4.2

* Sun Sep 18 2022 papoteur <papoteur> 3.9.2-1.mga9
+ Revision: 1889766
- Fix file list with new manpages in ru
- new 3.9.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Fri Mar 19 2021 daviddavid <daviddavid> 3.8.6-1.mga9
+ Revision: 1704897
- new version: 3.8.6

* Thu Mar 04 2021 daviddavid <daviddavid> 3.8.5-1.mga9
+ Revision: 1697997
- new version: 3.8.5
- add ld.so.conf.d config for libraries outside the standard search
  as kid3 libraries were moved from '/usr/lib(64)' to '/usr/lib(64)/kid3'

* Thu Dec 17 2020 umeabot <umeabot> 3.8.4-2.mga8
+ Revision: 1658715
- Rebuild for new Qt5

* Mon Sep 28 2020 daviddavid <daviddavid> 3.8.4-1.mga8
+ Revision: 1630937
- new version: 3.8.4

* Sun May 10 2020 daviddavid <daviddavid> 3.8.3-1.mga8
+ Revision: 1582599
- new version: 3.8.3

* Wed Feb 19 2020 umeabot <umeabot> 3.8.2-2.mga8
+ Revision: 1543942
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 3.8.2-1.mga8
+ Revision: 1482467
- new version: 3.8.2

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3.8.1-2.mga8
+ Revision: 1475974
- rebuild for readline
+ wally <wally>
- build with new cmake macros

* Tue Dec 24 2019 daviddavid <daviddavid> 3.8.1-1.mga8
+ Revision: 1469818
- new version: 3.8.1

* Mon Aug 26 2019 daviddavid <daviddavid> 3.8.0-1.mga8
+ Revision: 1432271
- new version: 3.8.0

* Sat Mar 30 2019 umeabot <umeabot> 3.7.1-2.mga7
+ Revision: 1382429
- Qt5 Rebuild

* Tue Mar 26 2019 daviddavid <daviddavid> 3.7.1-1.mga7
+ Revision: 1380248
- new version: 3.7.1

* Tue Dec 25 2018 daviddavid <daviddavid> 3.7.0-1.mga7
+ Revision: 1344883
- new version: 3.7.0

* Sun Aug 26 2018 daviddavid <daviddavid> 3.6.2-1.mga7
+ Revision: 1254638
- new version: 3.6.2

* Fri May 18 2018 daviddavid <daviddavid> 3.6.1-1.mga7
+ Revision: 1230297
- new version: 3.6.1

* Sat Apr 28 2018 daviddavid <daviddavid> 3.6.0-2.mga7
+ Revision: 1223099
- rebuild for new ffmpeg 4.0

* Tue Mar 20 2018 daviddavid <daviddavid> 3.6.0-1.mga7
+ Revision: 1210549
- new version: 3.6.0

* Mon Jan 01 2018 daviddavid <daviddavid> 3.5.1-1.mga7
+ Revision: 1188606
- new version: 3.5.1

* Fri Aug 11 2017 daviddavid <daviddavid> 3.5.0-1.mga7
+ Revision: 1139648
- new version: 3.5.0

* Sat Jun 03 2017 akien <akien> 3.4.5-1.mga6
+ Revision: 1105960
- Version 3.4.5

* Tue May 02 2017 akien <akien> 3.4.4-3.mga6
+ Revision: 1098294
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 3.4.4-2.mga6
+ Revision: 1089868
- Rebuild for ffmpeg 3.2.4

* Sat Dec 24 2016 daviddavid <daviddavid> 3.4.4-1.mga6
+ Revision: 1077063
- new version: 3.4.4

* Thu Nov 10 2016 daviddavid <daviddavid> 3.4.3-2.mga6
+ Revision: 1066257
- fix conflicting files to ease upgrade mga5 -> mga6 (mga#19748)

* Fri Nov 04 2016 daviddavid <daviddavid> 3.4.3-1.mga6
+ Revision: 1065291
- new version: 3.4.3

* Wed Sep 07 2016 daviddavid <daviddavid> 3.4.2-1.mga6
+ Revision: 1050374
- new version: 3.4.2

* Thu Jul 28 2016 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 1043838
- new version: 3.4.1

* Mon Mar 28 2016 daviddavid <daviddavid> 3.3.2-4.mga6
+ Revision: 995860
- remove unwanted devel files

* Sun Mar 27 2016 daviddavid <daviddavid> 3.3.2-3.mga6
+ Revision: 995811
- also move main libraries files into /usr/lib/ not /usr/lib/kid3/ to fix startup

* Sun Mar 27 2016 daviddavid <daviddavid> 3.3.2-2.mga6
+ Revision: 995796
- move main kid3 manpage into -core subpackage (as kid3-qt and kid3-cli are symlinks)

* Sun Mar 27 2016 daviddavid <daviddavid> 3.3.2-1.mga6
+ Revision: 995781
- new version: 3.3.2 (based on kf5)
- switch build to Qt5/kf5
- add a cli, core and qt subpackages
+ luigiwalser <luigiwalser>
- rebuild for chromaprint

* Fri Nov 14 2014 akien <akien> 3.1.1-4.mga5
+ Revision: 797130
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-3.mga5
+ Revision: 748639
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-2.mga5
+ Revision: 681071
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 3.1.1-1.mga5
+ Revision: 668597
- update file list
- update file list
- 3.1.1

* Mon Aug 18 2014 juancho <juancho> 3.1-2.mga5
+ Revision: 664976
- Added cmake option -DWITH_LIBDIR to fix BUG: 13286. \nRemoved cmake option -D__KDE_HAVE_GCC_VISIBILITY:BOOL=OFF as is no longer needed.

* Mon Jul 21 2014 juancho <juancho> 3.1-1.mga5
+ Revision: 655044
- Fixed rpmlint warnings about wrong BR's
+ bersuit <bersuit>
- Update to new Upstream version 3.1

* Thu Mar 13 2014 dams <dams> 3.0.2-1.mga5
+ Revision: 603306
- new version 3.0.2

* Sat Oct 19 2013 umeabot <umeabot> 2.3-3.mga4
+ Revision: 529951
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 fwang <fwang> 2.3-2.mga4
+ Revision: 454434
- fix build with rencent ffmpeg
- rebuild for new ffmpeg

* Mon Jun 17 2013 juancho <juancho> 2.3-1.mga4
+ Revision: 444031
- New version 2.3.

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-3.mga3
+ Revision: 356170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 2.2.1-2.mga3
+ Revision: 341639
- rebuild for new ffmpeg

* Sat Dec 08 2012 fwang <fwang> 2.2.1-1.mga3
+ Revision: 328011
- new version 2.2.1

* Fri Nov 30 2012 fwang <fwang> 2.2-2.mga3
+ Revision: 323349
- acturally tunepimp is not needed

* Sun Oct 28 2012 fwang <fwang> 2.2-1.mga3
+ Revision: 310974
- update rpm group
- new version 2.2

* Thu Jun 07 2012 juancho <juancho> 2.1-1.mga3
+ Revision: 256732
- Added missing BR ffmpeg-devel
- Updated to 2.1 and added patch to fix ffmpeg build error.

* Wed Nov 02 2011 juancho <juancho> 2.0.1-1.mga2
+ Revision: 161538
- Updated to 2.0.1 and dropped patches fixed in latest version.

* Mon Oct 24 2011 juancho <juancho> 2.0-1.mga2
+ Revision: 157556
- Updated to 2.0.
- Added patches to fix some cmake issues with 2.0.
- Fixed lib id3 BuildRequires.

* Sun Apr 17 2011 stormi <stormi> 1.6-2.mga1
+ Revision: 87418
- fix RPM group

* Wed Apr 13 2011 juancho <juancho> 1.6-1.mga1
+ Revision: 84767
- Updated to 1.6
  Fixed formating
  Fixed group tag
- imported package kid3


* Sat Sep 25 2010 Funda Wang <fwang@mandriva.org> 1.5-1mdv2011.0
+ Revision: 580970
- new version 1.5

* Sat Mar 06 2010 Funda Wang <fwang@mandriva.org> 1.4-1mdv2010.1
+ Revision: 514910
- update to new version 1.4

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.3-1mdv2010.1
+ Revision: 460660
- new version 1.3

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.2-1mdv2010.0
+ Revision: 369671
- New version 1.2

* Sun Oct 26 2008 Funda Wang <fwang@mandriva.org> 1.1-1mdv2009.1
+ Revision: 297418
- import kid3


